import QQMapWX from '../js/qqmap/qqmap-wx-jssdk.js'

// 腾讯地图经纬度转中文地址

export default{
    getAddress (lng, lat) {
        return new Promise((resove, reject) => {
            const qqmapsdk = new QQMapWX({
                key: 'ZEHBZ-5C4WQ-C3K5N-BTP4J-TRMJO-63BVC',
            })
            qqmapsdk.reverseGeocoder({
                location: {
                    longitude: lng,
                    latitude: lat,
                },
                success: (res) => {
                    resove(res)
                },
                fail: (e) => {
                    reject(e)

                },
            })
        })
    }
}

